#
# spec file for package iceauth
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           iceauth
Version:        1.0.10
Release:        1.2
Summary:        Utility to edit and display the ICE authorization information
License:        MIT
Group:          System/X11/Utilities
URL:            https://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xproto) >= 7.0.22
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6

%description
The iceauth program is used to edit and display the authorization
information used in connecting with ICE. It operates very much
like the xauth program for X11 connection authentication records.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc ChangeLog
%{_bindir}/iceauth
%{_mandir}/man1/iceauth.1%{?ext_man}

%changelog
* Mon Mar 11 2024 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.0.10
  * minor bugfix release, including fixes for compiler warnings
* Sun Apr  3 2022 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.0.9
  * bugfix release
* Tue Mar 16 2021 Dirk Müller <dmueller@suse.com>
- modernize spec file (move license to licensedir)
* Mon Mar  5 2018 sndirsch@suse.com
- Update to version 1.0.8
  * autogen.sh: use quoted string variables
  * autogen: add default patch prefix
  * Add -u & -V options to synopsis in man page
  * autogen.sh: use exec instead of waiting for configure to finish
* Fri Jan 30 2015 zaitor@opensuse.org
- Update to version 1.0.7:
  + autogen.sh: Honor NOCONFIGURE=1.
  + configure: Drop AM_MAINTAINER_MODE.
  + config: Add missing AC_CONFIG_SRCDIR.
  + More constification cleanup.
  + Free old argv array if realloc fails to enlarge it.
  + Print which option was in error along with usage message.
  + Add -V flag to print version.
  + Fix "noexistent" typo in error message.
  + Actually print command list in usage message.
* Thu Aug  1 2013 zaitor@opensuse.org
- Update to version 1.0.6:
  + Constify some more string pointers to fix gcc warnings.
  + Use void * instead of char * for generic pointer arg to DoFunc
    functions.
  + Mark unused arguments in callback functions to quiet clang
    warnings.
  + Fix some sign/size conversion warnings from clang.
  + Add _X_NORETURN attributes suggested by gcc.
  + Assume signal handlers return void, as C89 requires.
* Sat Apr 14 2012 dimstar@opensuse.org
- Update to version 1.0.5:
  + auth_finalize: Attempt to rename() if link() fails.
  + Error out and avoid a call to malloc(0) if given a bad hex
    string.
  + Man page fixes.
  + Build system fixes.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split iceauth from xorg-x11. Initial version: 1.0.4.
